const mongoose = require('mongoose');

const ShopperrSubscribeProducts = new mongoose.Schema({
	// shopifyProductId = spId
	// product_id = pId
	// date_of_subscription = dos
	// date_of_modification = dom
	// merchant_id = mId
	mId:{
		type:Object
	}, 
	pId:{
		type:Object
	}, 
	status:{
		type:Number,
		default: 0
	}, 
	margin:{
		type: Number, 
	},
	dos:{
		type:Date
	},
	dom:{
		type:Date
	},
    sku:{
        type:String
    },
	channel:{
		type:String
	} 
});
module.exports = mongoose.model('ShopperrSubscribeProducts', ShopperrSubscribeProducts)